# OSGeo::FDO::Schema::ClassCollection Class Reference
[OSGeo::FDO::Schema]

Inheritance diagram for OSGeo::FDO::Schema::ClassCollection:

[legend]

List of all members.

## Detailed Description

The ClassCollection class represents a collection of ClassDefinition objects.

()

## Public Member Functions
System::Int32 | Add (ClassDefinition *value)
| Adds a ClassDefinition object into the collection.
| ClassCollection (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a ClassCollection object based on an unmanaged instance of the object.
| ClassCollection (OSGeo::FDO::Schema::SchemaElement *parent)
| Constructs a ClassCollection object.
System::Void | Clear ()
| Removes all elements from the collection.
System::Boolean | Contains (String *name)
| Determines whether the collection contains a specific ClassDefinition object.
System::Boolean | Contains (ClassDefinition *value)
| Determines whether the collection contains a specific ClassDefinition object.
System::Void | CopyTo (ClassDefinition *array[], System::Int32 startAt)
| Copies the elements of the collection to an array.
__property System::Int32 | get_Count (System::Void)
| Gets the count of items in collection.
__property ClassDefinition * | get_Item (System::Int32 index)
| Gets an item in the collection.
__property ClassDefinition * | get_RealTypeItem (System::String *index)
| Gets the item in the collection by name.
__property ClassDefinition * | get_RealTypeItem (System::Int32 index)
| Gets the item in the collection at the specified index.
__sealed System::Collections::IEnumerator * | GetEnumerator (System::Void)
| Gets an enumerator that can iterate through a collection.
System::Int32 | IndexOf (String *name)
System::Int32 | IndexOf (ClassDefinition *value)
| Determines the index of a specific ClassDefinition object.
System::Void | Insert (System::Int32 index, ClassDefinition *value)
| Inserts a ClassDefinition object into the collection at the specified position.
System::Void | Remove (ClassDefinition *value)
| Removes the first occurrence of a specific ClassDefinition object.
System::Void | RemoveAt (System::Int32 index)
| Removes the index-th ClassDefinition from this collection.
__property System::Void | set_Item (System::Int32 index, ClassDefinition *value)
| Sets the value of the item at the specified index.
__property System::Void | set_RealTypeItem (System::Int32 index, ClassDefinition *value)
| Sets the value of the item at the specified index.